Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory.PBE_PKCS12

    java.lang.Object
      |
      +--javax.crypto.SecretKeyFactorySpi
            |
            +--org.bouncycastle.jce.provider.JCESecretKeyFactory
                  |
                  +--org.bouncycastle.jce.provider.JCESecretKeyFactory.PBE_PKCS12

Enclosing class:
  JCESecretKeyFactory

public static class JCESecretKeyFactory.PBE_PKCS12
extends JCESecretKeyFactory

PBE password processing for PKCS12 - unicode, big endian order, with two zero pad bytes.

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.PBE_PKCS12, JCESecretKeyFactory.PBE_PKCS5`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`algName`

Constructor Summary
`JCESecretKeyFactory.PBE_PKCS12()`

Method Summary
`protected SecretKey` | `engineGenerateSecret(KeySpec keySpec)` Generates a `SecretKey` object from the provided key specification (key material).

Methods inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCESecretKeyFactory.PBE_PKCS12

    public JCESecretKeyFactory.PBE_PKCS12()

Method Detail

### engineGenerateSecret

    protected SecretKey engineGenerateSecret(KeySpec keySpec)
                                      throws InvalidKeySpecException

  Description copied from class: `SecretKeyFactorySpi`
  Generates a `SecretKey` object from the provided key specification (key material).

  Overrides:
    `engineGenerateSecret` in class `JCESecretKeyFactory`
  Parameters:
    `keySpec` - the specification (key material) of the secret key
  Returns:
    the secret key
  Throws:
    `InvalidKeySpecException` - if the given key specification is inappropriate for this secret-key factory to produce a secret key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD